package com.huimv.eartag2.manage2.utils;

import com.huimv.eartag2.manage2.pojo.EartagData2;
import com.huimv.eartag2.manage2.vo.EarTagData2Vo;
import org.jxls.common.Context;
import org.jxls.util.JxlsHelper;

import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.InputStream;
import java.io.OutputStream;
import java.text.DecimalFormat;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.List;

public class Print {
    /**
     * 打印方法  不插入图片
     *
     * @return
     * @throws Exception
     */
    public static void printDuck(List<EartagData2> eartagData2s,String earmark) throws Exception {

        //准备数据
        String path = "G://"+earmark+".xls";
        //获取模板文件，你自己当前模板的位置  我这里为当前项目下
        InputStream is = new FileInputStream("G://getData.xlsx");
        //根据模板生成的文件保存路径  我这里保存在本地D盘
        OutputStream os = new FileOutputStream(path);
        //绑定数据
        Context context = new Context();
        DecimalFormat def = new DecimalFormat("#.00");
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        List<EarTagData2Vo> list = new ArrayList<>();
        for (EartagData2 eartagData2 : eartagData2s) {
            EarTagData2Vo data2Vo = new EarTagData2Vo();
            data2Vo.setAddTime(sdf.format(eartagData2.getAddTime()));
            data2Vo.setDeviceCode(def.format(eartagData2.getEarTemp1()));
            data2Vo.setTypeName(eartagData2.getEarmark());
            data2Vo.setCount1(def.format(eartagData2.getEnvTemp1()));
            data2Vo.setCount2(eartagData2.getAct1().toString());
            data2Vo.setCount3(eartagData2.getBat());
            list.add(data2Vo);
        }
        context.putVar("list", list);

        //生成
        JxlsHelper.getInstance().processTemplate(is, os, context);
    }

}